import { JSONLikeObject } from '../../jsonLike';
import { ServiceClient } from '../JSONRPC11/ServiceClient';
export type AppTag = 'dev' | 'beta' | 'release';
export interface GetMethodBriefInfoParams {
    ids: Array<string>;
    tag?: AppTag | null;
}
export interface GetMethodBriefInfoResult extends JSONLikeObject {
    id: string;
    module_name: string;
    git_commit_hash: string;
    name: string;
    ver: string;
    subtitle: string;
    tooltip: string;
    icon: {
        url: string;
    };
    categories: Array<string>;
    authors: Array<string>;
    input_types: Array<string>;
    output_types: Array<string>;
    app_type: string;
    namespace: string;
}
export default class NarrativeMethodStoreClient extends ServiceClient {
    module: string;
    ver(): Promise<string>;
    get_method_brief_info(params: GetMethodBriefInfoParams): Promise<GetMethodBriefInfoResult>;
}
